Class UmlBaseSequenceDiagram

Manage the sequence diagrams

Declaration :

- C++ : class UmlBaseSequenceDiagram : public UmlDiagram
- Java : abstract class UmlBaseSequenceDiagram extends UmlDiagram

Directly inherited by : UmlSequenceDiagram

Artifact : UmlBaseSequenceDiagram

Operation create

returns a new sequence diagram named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, in s : str) : UmlSequenceDiagram, exceptions : RuntimeException
- C++ : public: static UmlSequenceDiagram * create(UmlItem * parent, const char * s)
- Java : public static UmlSequenceDiagram create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseSequenceDiagram

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseSequenceDiagram(in id : item_id, in n : string) :
- C++ : protected: UmlBaseSequenceDiagram(void * id, const QCString & n) : UmlDiagram(id, n), _def(0)
- Java : protected UmlBaseSequenceDiagram(long id, String n)

Operation definition

return the semantic part of the diagram not present in the model

Declaration :

- Uml : + definition() : UmlSequenceDiagramDefinition
- C++ : public: UmlSequenceDiagramDefinition * definition()
- Java : public UmlSequenceDiagramDefinition definition()

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. args unused

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Relation _def (<unidirectional association>)

Declaration :

- Uml : - _def : UmlSequenceDiagramDefinition
- C++ : private: UmlSequenceDiagramDefinition * _def
- Java : private UmlSequenceDiagramDefinition _def

All public operations : apply , children , childrenVisible , create , defined_ , definition , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload